cabal-install-3.12.1.0: The command-line interface for Cabal and Hackage.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Distribution.Client.Types.Credentials

Synopsis

- type Auth = Either (String, String) String
- newtype Token = Token {
  - unToken :: String
  }
- newtype Username = Username {
  - unUsername :: String
  }
- newtype Password = Password {
  - unPassword :: String
  }

# Documentation

type Auth = Either (String, String) String #

Either (username, password) or authentacation token

newtype Token #

Constructors

Token |
Fields unToken :: String

newtype Username #

Constructors

Username |
Fields unUsername :: String

newtype Password #

Constructors

Password |
Fields unPassword :: String